ctrl+shift+p filters: :st2 :st3 :win :osx :linux
Browse

Sublime​Linter-haml-lint

by SublimeLinter ST3

SublimeLinter 3 plugin for Haml, using haml-lint.

Details

Installs

  • Total 3K
  • Win 881
  • Mac 1K
  • Linux 558
Jan 23 Jan 22 Jan 21 Jan 20 Jan 19 Jan 18 Jan 17 Jan 16 Jan 15 Jan 14 Jan 13 Jan 12 Jan 11 Jan 10 Jan 9 Jan 8 Jan 7 Jan 6 Jan 5 Jan 4 Jan 3 Jan 2 Jan 1 Dec 31 Dec 30 Dec 29 Dec 28 Dec 27 Dec 26 Dec 25 Dec 24 Dec 23 Dec 22 Dec 21 Dec 20 Dec 19 Dec 18 Dec 17 Dec 16 Dec 15 Dec 14 Dec 13 Dec 12 Dec 11 Dec 10 Dec 9
Windows 0 0 0 0 0 0 0 0 0 0 0 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0
Mac 0 0 2 1 1 0 2 0 0 0 0 0 0 0 1 0 1 0 0 0 1 0 0 0 0 1 0 0 1 0 0 1 0 0 1 0 1 0 0 0 1 0 0 0 2 0
Linux 0 0 0 0 0 0 1 0 0 0 0 1 0 0 0 0 2 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 1 1

Readme

Source
raw.​githubusercontent.​com

SublimeLinter-haml-lint

Build Status

This linter plugin for SublimeLinter provides an interface to haml-lint. It will be used with files that have the “Ruby Haml” syntax.

Installation

SublimeLinter must be installed in order to use this plugin.

Please install via Package Control.

Before using this plugin, ensure that haml-lint is installed on your system. To install haml-lint, do the following:

  1. Install Ruby.

  2. Install haml-lint by typing the following in a terminal:

[sudo] gem install haml_lint

Note: Make sure you type haml_lint with an underscore (_). gem install haml-lint will get you an outdated executable.

  1. If you are using rbenv or rvm, ensure that they are loaded in your shell’s correct startup file. See here for more information.

Please make sure that the path to haml-lint is available to SublimeLinter. The docs cover troubleshooting PATH configuration.

Linter configuration

The default configuration is as follows:

'selector': 'text.haml'

If you have your configuration files somewhere else or with a different name, set this using the Linter settings.

Settings